| CMSIS-DSP Verison 1.1.0 CMSIS DSP Software Library

- CMSIS
- CORE
- DSP
- RTOS API
- SVD

- Main Page
- Reference

Functions
arm_cfft_radix2_q31.c File Reference

## Functions

void | arm_cfft_radix2_q31 (const arm_cfft_radix2_instance_q31 *S, q31_t *pSrc)
| Processing function for the fixed-point CFFT/CIFFT.
void | arm_radix2_butterfly_q31 (q31_t *pSrc, uint32_t fftLen, q31_t *pCoef, uint16_t twidCoefModifier)
| Core function for the Radix-2 Q31 CFFT butterfly process.
void | arm_radix2_butterfly_inverse_q31 (q31_t *pSrc, uint32_t fftLen, q31_t *pCoef, uint16_t twidCoefModifier)
| Core function for the Radix-2 Q31 CFFT Inverse butterfly process.

## Function Documentation

void arm_radix2_butterfly_inverse_q31 | ( | q31_t * | pSrc,
|  | uint32_t | fftLen,
|  | q31_t * | pCoef,
|  | uint16_t | twidCoefModifier
| ) |  |

Parameters:

  [in,out] | *pSrc | points to the in-place buffer of Q31 data type.
  [in] | fftLen | length of the FFT.
  [in] | *pCoef | points to Twiddle coefficient buffer.
  [in] | twidCoefModifier | twiddle coefficient modifier that supports different size FFTs with the same twiddle factor table.

Returns:
  none.

Referenced by arm_cfft_radix2_q31().

void arm_radix2_butterfly_q31 | ( | q31_t * | pSrc,
|  | uint32_t | fftLen,
|  | q31_t * | pCoef,
|  | uint16_t | twidCoefModifier
| ) |  |

end of Radix2_CFFT_CIFFT group

Referenced by arm_cfft_radix2_q31().